<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Bootstrap -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.6.0.slim.min.js" integrity="sha256-u7e5khyithlIdTpu22PHhENmPcRdFiHRjhAuHcs05RI=" crossorigin="anonymous"></script>
    <!-- Google Fonts -->
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;700;900&display=swap" rel="stylesheet">
    <!-- Custom CSS Files -->
    <link rel="stylesheet" href="css/style.css">
    <link rel="shortcut icon" href="favicon.ico" />
    <title>User Accounts</title>
</head>
<body>
    <header></header>
    <div class="container">
        <div id="status-message" class="invisible"></div>
        <div id="users-overview">
            <h1>User Accounts</h1>
            <table class="table table-striped">
                <thead class="thead-dark">
                    <tr>
                        <th>User ID</th>
                        <th>Username</th>
                        <th>E-Mail</th>
                        <th>Role</th>
                        <th>Employee ID</th>
                    </tr>
                </thead>
                <tbody id="users-table">

                </tbody>
            </table>
        </div>
        <div class="card" id="user-detail" hidden>
            <div class="top-bar">
                <button class="close-button">X</button>
            </div>
            <h1 id="usernameHeader"></h1>
            <form id="user-detail-form">
                <div class="form-group row">
                    <label for="uid" class="col-sm-3 col-form-label">User ID:</label>
                    <div class="col-sm-9">
                        <input type="text" class="form-control" name="uid" id="uid" disabled>
                    </div>
                </div>
                <div class="form-group row">
                    <label for="username" class="col-sm-3 col-form-label">Username:</label>
                    <div class="col-sm-9">
                        <input type="text" class="form-control" name="username" id="username" placeholder="username" disabled>
                    </div>
                </div>
                <div class="form-group row">
                    <label for="email" class="col-sm-3 col-form-label">E-Mail:</label>
                    <div class="col-sm-9">
                        <input type="text" class="form-control" name="email" id="email" placeholder="E-Mail" disabled>
                    </div>
                </div>
                <div class="form-group row">
                    <label for="roleid" class="col-sm-3 col-form-label">Role ID:</label>
                    <div class="col-sm-9">
                        <input type="text" class="form-control" name="roleID" id="roleID" placeholder="Role ID">
                    </div>
                </div>
                <div class="form-group row">
                    <label for="employeeid" class="col-sm-3 col-form-label">Employee ID:</label>
                    <div class="col-sm-9">
                        <input type="text" class="form-control" name="employeeID" id="employeeID" placeholder="Employee ID">
                    </div>
                </div>
                <div class="form-group button-row row">
                    <button type = "submit" class="btn btn-dark-mine col-sm-4" id="update-user">Update Records</button>
                </div>
            </form>
        </div>
    </div>
    <footer></footer>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js" integrity="sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0" crossorigin="anonymous"></script>
    <script src="js/animations.js"></script>
    <script src="js/loadComponents.js"></script>
    <script src="js/ajaxUtilities.js"></script>
    <script src="js/authServices.js"></script>
    <script src="js/users.js"></script>
    <script src="js/navbar.js"></script>
</body>
</html>